version: '2.1'

services:
  bind:
    build: ./bind
    restart: always
    container_name: bind
    hostname: bind
    entrypoint:
      - /bin/bash
      - /etc/bind/command.sh
    volumes:
      - ./bind:/etc/bind
      - ./dehydrated:/etc/dehydrated
      - ./letsencrypt:/root/letsencrypt
    ports:
      - "53:53/tcp"
      - "53:53/udp"
    networks:
      mynet:
        ipv4_address: 172.3.0.101
        
networks:
  mynet:
    enable_ipv6: true
    driver: bridge
    ipam:
      config:
      - subnet: 172.3.0.0/24
      - subnet: fe80:0:250:56fd::/64
